summarylogtreecommitdiffstats
path: root/buildkite-agent-bin.install
diff options
context:
space:
mode:
authorNarthana Epa2023-03-22 15:13:13 +1100
committerNarthana Epa2023-05-13 10:03:41 +1000
commit207c7a864d046ab00526481bf60c763bc84d0a98 (patch)
treeceeb331ef26fc7f6c3b461426e72e1dc17320ef8 /buildkite-agent-bin.install
parent400e331ad75e51ca7d9e229fa8564c98833847d0 (diff)
downloadaur-207c7a864d046ab00526481bf60c763bc84d0a98.tar.gz
Fix disable and stop command
Diffstat (limited to 'buildkite-agent-bin.install')
-rwxr-xr-xbuildkite-agent-bin.install2
1 files changed, 1 insertions, 1 deletions
diff --git a/buildkite-agent-bin.install b/buildkite-agent-bin.install
index 7d5d834ff30e..6b12e4e46101 100755
--- a/buildkite-agent-bin.install
+++ b/buildkite-agent-bin.install
@@ -16,5 +16,5 @@ post_upgrade() {
pre_remove() {
echo "Stopping and disabling any buildkite-agent systemd services"
- systemctl disable --now buildkite-agent.service 'buildkite-agent@*.service'
+ systemctl list-units --plain --no-legend --all | awk '{print $1}' | grep '^buildkite-agent' | xargs -I {} systemctl disable --now {} || true
}